\begin{tabular}{|l|l|l|l|l|c|c|c|}
\hline \multicolumn{3}{|c|}{Proof obligations } & \provername{Alt-Ergo 2.3.1} & \provername{CVC4 1.6} & \provername{Z3 4.8.6} \\ 
\hline
\explanation{VC for sublist}  & \explanation{postcondition} & & \noresult& \valid{0.09} & \noresult\\ 
\cline{2-5}
 & \explanation{postcondition} & & \noresult& \valid{0.09} & \noresult\\ 
\hline
\explanation{VC for equality\_is\_equal\_list} & & & \noresult& \valid{0.13} & \noresult\\ 
\hline
\explanation{VC for is\_equal\_list\_reflexive} & & & \noresult& \valid{0.12} & \noresult\\ 
\hline
\explanation{VC for is\_equal\_list\_commutative} & & & \noresult& \valid{0.10} & \noresult\\ 
\hline
\explanation{VC for tuple\_equality}  & \explanation{variant decrease} & & \valid{0.01} & \valid{0.12} & \valid{0.06} \\ 
\cline{3-5}
 &  & \noresult& \valid{0.11} & \noresult\\ 
\cline{3-5}
 &  &  & \noresult& \valid{0.11} & \noresult\\ 
\cline{2-5}
 & \explanation{postcondition}  &  & \noresult& \valid{0.11} & \noresult\\ 
\cline{3-5}
 &  &  & \valid{0.02} & \noresult& \noresult\\ 
\cline{3-5}
 &  &  & \valid{0.01} & \noresult& \noresult\\ 
\cline{3-5}
 &  &  & \noresult& \valid{0.09} & \noresult\\ 
\cline{2-5}
 & \explanation{postcondition}  &  & \valid{0.02} & \valid{0.13} & \noresult\\ 
\cline{3-5}
 &  &  & \valid{0.02} & \noresult& \noresult\\ 
\cline{3-5}
 &  &  & \valid{0.02} & \noresult& \noresult\\ 
\cline{3-5}
 &  &  & \valid{0.01} & \valid{0.09} & \noresult\\ 
\hline
\explanation{permut\_ref} & & & \noresult& \valid{0.10} & \noresult\\ 
\hline
\explanation{permut\_trans} & & & \noresult& \valid{0.10} & \noresult\\ 
\hline
\explanation{permut\_cl1\_cl2} & & & \noresult& \valid{0.11} & \noresult\\ 
\hline
\explanation{concat\_with\_element} & & & \noresult& \valid{0.16} & \noresult\\ 
\hline
\explanation{VC for num\_occ\_permut\_concat} & & & \noresult& \valid{0.12} & \noresult\\ 
\hline
\explanation{VC for num\_occ\_concat} & & & \noresult& \valid{0.11} & \noresult\\ 
\hline
\explanation{VC for num\_occ\_1\_plus\_tail} & & & \noresult& \valid{0.16} & \noresult\\ 
\hline
\explanation{VC for num\_occ\_permut\_list} & & & \noresult& \valid{0.38} & \noresult\\ 
\hline
\explanation{VC for permut\_list\_permut\_sublist} & & & \noresult& \valid{0.16} & \noresult\\ 
\hline \end{tabular}
